Bug 1118203 - prosody: EPEL7 build
Summary: prosody: EPEL7 build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: prosody
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1192734 1192735
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 08:15 UTC by Guido Berhoerster
Modified: 2015-05-21 05:12 UTC (History)
6 users (show)

Fixed In Version: prosody-0.9.8-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-21 05:12:16 UTC


Attachments (Terms of Use)

Description Guido Berhoerster 2014-07-10 08:15:06 UTC
Please build prosody for EPEL7.

Comment 1 Matthew Gyurgyik 2014-07-13 13:34:37 UTC
I built prosody for Centos7 and this is what I needed to do

lua-expat: change %define luaver 5.2 to %define luaver 5.1
lua-dbi: change %define luaver 5.2 to %define luaver 5.1
lua-filesystem: no changes (already in epel7)
lua-sec: no changes
lua-socket: no changes (need for lua-sec)

prosody: comment out the following configure options --runwith=/usr/bin/luajit, --with-lua='', and --with-lua-include=%{_includedir}/lua-5.1

Comment 2 Marc Laporte 2015-01-22 04:52:49 UTC
(In reply to Matthew Gyurgyik from comment #1)
> I built prosody for Centos7 and this is what I needed to do
> 

Hi Matthew!

Which version of Prosody?

Thanks!

Comment 3 Robert Scheck 2015-02-14 20:03:18 UTC
SCM requests and RHBZs for dependencies have been filed. The EPEL 7 build
won't happen through before I have Fedora on the latest prosody version.

Comment 4 Marco van Raaij 2015-04-16 19:12:08 UTC
Hi,

Is there a progress update? Would love to have prosody in EPEL7.

Comment 5 Robert Scheck 2015-04-16 20:00:52 UTC
I am unfortunately still waiting for the missing dependencies (as linked
above). If nothing happened within the next time, I will start to maintain
these packages, too.

Comment 6 Fedora Update System 2015-04-24 23:00:31 UTC
lua-dbi-0.5-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lua-dbi-0.5-10.fc20

Comment 7 Fedora Update System 2015-04-24 23:04:26 UTC
prosody-0.9.8-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/prosody-0.9.8-1.el7

Comment 8 Fedora Update System 2015-04-25 23:49:55 UTC
prosody-0.9.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 9 Fedora Update System 2015-05-21 05:12:16 UTC
prosody-0.9.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.